using UnityEngine;
using UnityEngine.Events;

public class TackleDetection : MonoBehaviour
{
	[SerializeField] private TackleKind tackleKind;
	public UnityEvent<TackleKind, Collider> TackleResponse;
	void OnTriggerEnter(Collider collider)
	{
		if (collider.tag != "Spike" && collider.tag != "Bumper")
		{
			return;
		}
		TackleResponse.Invoke(tackleKind, collider);
	}
}

public enum TackleKind { Critical, Normal }